---
title: Get agent readiness summary
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Radar](https://developers.cloudflare.com/api/go/resources/radar)

[Agent Readiness](https://developers.cloudflare.com/api/go/resources/radar/subresources/agent_readiness)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get agent readiness summary

client.Radar.AgentReadiness.Summary(ctx, dimension, query) (\*[AgentReadinessSummaryResponse](<https://developers.cloudflare.com/api/go/resources/radar#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)>), error)

GET/radar/agent\_readiness/summary/{dimension}

Returns a summary of AI agent readiness scores across scanned domains, grouped by the specified dimension. Data is sourced from weekly bulk scans. All values are raw domain counts.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

dimension [AgentReadinessSummaryParamsDimension](<https://developers.cloudflare.com/api/go/resources/radar/subresources/agent_readiness/methods/summary#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)>)

Specifies the agent readiness data dimension by which to group the results.

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)>)

<details>

<summary>

query AgentReadinessSummaryParams

</summary>

Date param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/agent_readiness/methods/summary#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20date%20%3E%20(schema)">Time</a>]Optional

Filters results by the specified date.

formatdate

<a href="#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20date">Link to this property</a>

DomainCategory param.Field\[\[]string]Optional

Filters results by domain category.

<a href="#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20domainCategory">Link to this property</a>

<details>

<summary>

Format param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/agent_readiness/methods/summary#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">AgentReadinessSummaryParamsFormat</a>]Optional

Format in which results will be returned.

</summary>

const AgentReadinessSummaryParamsFormatJson <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/agent_readiness/methods/summary#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">AgentReadinessSummaryParamsFormat</a> = "JSON"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const AgentReadinessSummaryParamsFormatCsv <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/agent_readiness/methods/summary#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">AgentReadinessSummaryParamsFormat</a> = "CSV"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format">Link to this property</a>

Name param.Field\[\[]string]Optional

Array of names used to label the series in the response.

<a href="#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AgentReadinessSummaryResponse struct{…}

</summary>

<details>

<summary>

Meta AgentReadinessSummaryResponseMeta

</summary>

Date Time

Date of the returned scan (YYYY-MM-DD). May differ from the requested date if no scan exists for that exact date.

formatdate

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20date">Link to this property</a>

<details>

<summary>

DomainCategories \[]AgentReadinessSummaryResponseMetaDomainCategory

Available domain sub-categories with their scan counts. Use as filter options for the domainCategory parameter.

</summary>

Name string

Sub-category name.

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20domainCategories%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

Value int64

Number of successfully scanned domains in this sub-category.

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20domainCategories%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20domainCategories">Link to this property</a>

LastUpdated Time

Timestamp of the last dataset update.

formatdate-time

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20lastUpdated">Link to this property</a>

<details>

<summary>

Normalization AgentReadinessSummaryResponseMetaNormalization

Normalization method applied to the results. Refer to <a href="https://developers.cloudflare.com/radar/concepts/normalization/">Normalization methods</a>.

</summary>

One of the following:

const AgentReadinessSummaryResponseMetaNormalizationPercentage AgentReadinessSummaryResponseMetaNormalization = "PERCENTAGE"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%200">Link to this property</a>

const AgentReadinessSummaryResponseMetaNormalizationMin0Max AgentReadinessSummaryResponseMetaNormalization = "MIN0\_MAX"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%201">Link to this property</a>

const AgentReadinessSummaryResponseMetaNormalizationMinMax AgentReadinessSummaryResponseMetaNormalization = "MIN\_MAX"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%202">Link to this property</a>

const AgentReadinessSummaryResponseMetaNormalizationRawValues AgentReadinessSummaryResponseMetaNormalization = "RAW\_VALUES"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%203">Link to this property</a>

const AgentReadinessSummaryResponseMetaNormalizationPercentageChange AgentReadinessSummaryResponseMetaNormalization = "PERCENTAGE\_CHANGE"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%204">Link to this property</a>

const AgentReadinessSummaryResponseMetaNormalizationRollingAverage AgentReadinessSummaryResponseMetaNormalization = "ROLLING\_AVERAGE"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%205">Link to this property</a>

const AgentReadinessSummaryResponseMetaNormalizationOverlappedPercentage AgentReadinessSummaryResponseMetaNormalization = "OVERLAPPED\_PERCENTAGE"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%206">Link to this property</a>

const AgentReadinessSummaryResponseMetaNormalizationRatio AgentReadinessSummaryResponseMetaNormalization = "RATIO"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization">Link to this property</a>

SuccessfulDomains int64

Domains successfully scanned (excludes errors).

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20successfulDomains">Link to this property</a>

TotalDomains int64

Total domains attempted in the scan.

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20totalDomains">Link to this property</a>

<details>

<summary>

Units \[]AgentReadinessSummaryResponseMetaUnit

Measurement units for the results.

</summary>

Name string

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

Value string

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

Summary0 map\[string, string]

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20summary_0">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(model)%20AgentReadinessSummaryResponse%20%3E%20(schema)>)

### Get agent readiness summary

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Radar.AgentReadiness.Summary(
    context.TODO(),
    radar.AgentReadinessSummaryParamsDimensionCheck,
    radar.AgentReadinessSummaryParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Meta)
}
```

200 example

```
{
  "result": {
    "meta": {
      "date": "2026-03-24",
      "domainCategories": [
        {
          "name": "News & Media",
          "value": 0
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "successfulDomains": 0,
      "totalDomains": 0,
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "markdownNegotiation": "45000",
      "robotsTxt": "280000"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "meta": {
      "date": "2026-03-24",
      "domainCategories": [
        {
          "name": "News & Media",
          "value": 0
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "successfulDomains": 0,
      "totalDomains": 0,
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "markdownNegotiation": "45000",
      "robotsTxt": "280000"
    }
  },
  "success": true
}
```